package com.heyu.api.data.dao.vv;
/**
* <p>
* 推广码 服务类
* </p>
*
* @author quyixiao
* @since 2025-12-26
*/
import com.heyu.api.data.entity.vv.VvPromoterCodeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvPromoterCodeDao extends BaseMapper<VvPromoterCodeEntity> {


	VvPromoterCodeEntity selectVvPromoterCodeById(@Param("id")Long id);


	Long insertVvPromoterCode(VvPromoterCodeEntity vvPromoterCode);


	Long insertOrUpdateVvPromoterCode(VvPromoterCodeEntity vvPromoterCode);


	int updateVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode);


	int updateCoverVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode);


	int deleteVvPromoterCodeById(@Param("id")Long id);


    VvPromoterCodeEntity selectVvPromoterCodeByCode(String promoterCode);
}